Skip to content
NoChargeback

Chargeback API reference

Read and dispute permissions only. We never move your money.

Authentication and base URL

curl https://nochargeback.com/api/v1/accounts \
  -H "Authorization: Bearer nck_live_YOUR_KEY"

Rate limit

Errors

{
  "error": {
    "code": "not_found",
    "message": "No dispute with this id in your workspace."
  }
}

List connected accounts

curl https://nochargeback.com/api/v1/accounts -H "Authorization: Bearer nck_live_YOUR_KEY"
{
  "data": [
    {"id": 12, "provider": "stripe", "label": "Main store", "external_id": "acct_1Example", "status": "active", "livemode": true, "last_synced_at": "2026-10-14T09:30:00Z"}
  ]
}

List disputes

curl "https://nochargeback.com/api/v1/disputes?status=needs_response&limit=50" \
  -H "Authorization: Bearer nck_live_YOUR_KEY"
{
  "data": [
    {
      "id": 481, "external_id": "du_1Example", "account_id": 12, "charge_id": "ch_1Example",
      "amount": 8500, "currency": "usd", "reason": "product_not_received", "network_reason_code": "13.1",
      "card_brand": "visa", "status": "needs_response", "is_inquiry": false, "outcome": null,
      "evidence_due_by": "2026-10-21T23:59:59Z", "opened_at": "2026-10-14T08:12:00Z", "closed_at": null
    }
  ],
  "meta": {"page": 1, "limit": 50, "has_more": false}
}

Get one dispute with its evidence pack

curl https://nochargeback.com/api/v1/disputes/481 -H "Authorization: Bearer nck_live_YOUR_KEY"
{
  "data": {
    "id": 481, "external_id": "du_1Example", "status": "needs_response", "network_reason_code": "13.1",
    "merchant_evidence": {"carrier": "UPS", "tracking_number": "1Z999AA10123456784", "delivered_on": "2026-10-13"},
    "evidence_pack": {
      "id": 902, "version": 2, "status": "ready", "confidence": 33.33, "win_chance": 41,
      "letter_text": "We are responding to the dispute filed under Visa reason code 13.1 ...",
      "letter_claims": ["delivery_tracking", "receipt", "authorization_record"],
      "missing_evidence": ["refund_policy", "logged_in_after", "usage_logs"],
      "limit_reached": false, "submitted_at": null, "submit_error": null, "updated_at": "2026-10-14T09:31:00Z"
    }
  }
}

Add evidence you hold

curl -X PUT https://nochargeback.com/api/v1/disputes/481/evidence \
  -H "Authorization: Bearer nck_live_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{"carrier": "UPS", "tracking_number": "1Z999AA10123456784", "delivered_on": "2026-10-13", "messages": "2026-10-12 Order shipped email"}'
{
  "data": {
    "merchant_evidence": {"carrier": "UPS", "tracking_number": "1Z999AA10123456784", "delivered_on": "2026-10-13", "messages": "2026-10-12 Order shipped email"},
    "skipped_lines": 0,
    "pack_rebuilding": true
  }
}

Build the evidence pack

curl -X POST https://nochargeback.com/api/v1/disputes/481/pack -H "Authorization: Bearer nck_live_YOUR_KEY"
{"data": {"queued": true, "building": true}}

Submit the evidence to Stripe

curl -X POST https://nochargeback.com/api/v1/disputes/481/submit -H "Authorization: Bearer nck_live_YOUR_KEY"
{"data": {"submitted": true, "message": "Evidence submitted to Stripe.", "evidence_pack": {"id": 902, "status": "submitted", "submitted_at": "2026-10-14T09:40:00Z"}}}

List alerts

curl "https://nochargeback.com/api/v1/alerts?type=efw" -H "Authorization: Bearer nck_live_YOUR_KEY"
{
  "data": [
    {"type": "early_fraud_warning", "id": 77, "external_id": "issfr_1Example", "account_id": 12, "charge_id": "ch_1Example",
     "fraud_type": "unauthorized_use_of_card", "amount": 4900, "currency": "usd", "recommendation": "refund_now",
     "decision": null, "created_at": "2026-10-14T07:02:00Z"}
  ]
}

Get the chargeback ratio

curl https://nochargeback.com/api/v1/ratio -H "Authorization: Bearer nck_live_YOUR_KEY"
{
  "data": [
    {"account_id": 12, "label": "Main store", "month": "2026-10", "sales_count": 4849, "dispute_count": 2, "efw_count": 1,
     "ratio_visa_percent": 0.0619, "ratio_mastercard_percent": 0.0412, "level": "ok", "updated_at": "2026-10-14T06:00:00Z"}
  ]
}

Which plans include the API